unit uDialogOpcionesImpresionPresupuestosCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDialogBase, ActnList, StdCtrls, ExtCtrls, jpeg, dxGDIPlusClasses;

type
  TfDialogOpcionesImpresionPresupuestosCliente = class(TfDialogBase)
    Image1: TImage;
    Image2: TImage;
    cbLogotipoISO: TCheckBox;
    procedure actAceptarExecute(Sender: TObject);
    procedure actCancelarExecute(Sender: TObject);
    procedure Image1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Image2DblClick(Sender: TObject);
  private
    FVerSello: Integer;
    function getVerCertificadoISO: Integer;
  public
    property VerCertificadoISO: Integer read getVerCertificadoISO;
  end;

  function ElegirOpcionesImpresionPresupuestoCliente(var AVerSello : Integer;var AVerISO : Integer): Boolean;

implementation

{$R *.dfm}

function ElegirOpcionesImpresionPresupuestoCliente(var AVerSello : Integer;var AVerISO : Integer): Boolean;
var
  AEditor : TfDialogOpcionesImpresionPresupuestosCliente;
begin
  AEditor := TfDialogOpcionesImpresionPresupuestosCliente.Create(NIL);
  try
    Result := (AEditor.ShowModal = mrOk);
    if Result then
    begin
      AVerSello := AEditor.FVerSello;
      AVerISO := AEditor.VerCertificadoISO;
    end;
  finally
    AEditor.Release;
  end;
end;

procedure TfDialogOpcionesImpresionPresupuestosCliente.actAceptarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrOk
end;

procedure TfDialogOpcionesImpresionPresupuestosCliente.actCancelarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrCancel;
end;

procedure TfDialogOpcionesImpresionPresupuestosCliente.FormCreate(
  Sender: TObject);
begin
  inherited;
  FVerSello := 1;
end;

function TfDialogOpcionesImpresionPresupuestosCliente.getVerCertificadoISO: Integer;
begin
  REsult := 0;
  if cbLogotipoISO.Checked then
     Result := 1;
end;

procedure TfDialogOpcionesImpresionPresupuestosCliente.Image1DblClick(
  Sender: TObject);
begin
  inherited;
  FVerSello := 1;
  actAceptar.Execute;
end;

procedure TfDialogOpcionesImpresionPresupuestosCliente.Image2DblClick(
  Sender: TObject);
begin
  inherited;
  FVerSello := 2;
  actAceptar.Execute;
end;

end.
